RFC Register
Kestrel Data, a fictional streaming analytics platform. Status On Document is the header transcribed. Status is the normalized state. Blocking is a join against the comment log.
| RFC | Title | Header says | Status | Due | Past due | Sign-offs | Blocking | Impl. owner |
|---|---|---|---|---|---|---|---|---|
| RFC-014 | Shared partitioned topic | In Review | Final Comment Period | 2026-09-11 | 3 | 5 of 5 | 1 | — |
| RFC-017 | One ingest specification | In Review | In Review | 2026-05-18 | 119 | 3 of 4 | 2 | — |
| RFC-009 | Query planner in Rust | In Review | In Review | 2026-08-04 | 41 | 2 of 4 | 1 | — |
| RFC-015 | SDKs from the description | Draft | In Review | 2026-09-28 | 0 | 1 of 4 | 0 | — |
| RFC-013 | Jobs on the batch cluster | Draft | Draft | 2026-09-21 | 0 | 1 of 4 | 0 | — |
| RFC-006 | Tracing across every service | In Review | Deferred | 2025-10-20 | n/a | 2 of 4 | 2 | Unassigned |
| RFC-016 | Drop Python 3.9 | In Review | Deferred | 2026-03-02 | n/a | 1 of 4 | 0 | Unassigned |
| RFC-011 | Service mesh east-west | On hold | Postponed | 2026-06-10 | n/a | 4 of 4 | 0 | — |
| RFC-003 | One error envelope | Approved | Accepted | 2025-11-17 | n/a | 4 of 4 | 0 | Unassigned |
| RFC-012 | One flag evaluation service | Approved | Accepted | 2026-06-15 | n/a | 4 of 4 | 0 | Unassigned |
| RFC-008 | Tiered storage past 30 days | Approved | Provisional | 2026-03-23 | n/a | 4 of 4 | 0 | P. Adeyemi |
| RFC-001 | Semantic versioning | Accepted | Implemented | 2025-07-28 | n/a | 4 of 4 | 0 | L. Marchetti |
| RFC-004 | Deploy-time DB credentials | Rejected | Rejected | 2025-11-24 | n/a | 4 of 4 | 0 | n/a |
| RFC-005 | Jobs off the app cluster | Draft | Withdrawn | 2026-01-26 | n/a | 1 of 4 | 0 | n/a |
| RFC-018 | Retire internal metrics format | Implemented | Superseded | 2025-09-22 | n/a | 4 of 4 | 0 | n/a |
18 rows, all 11 states represented. A three-state template renders 5 of these as In Review; here they read Draft, In Review three times and Final Comment Period, and 3 are past a date they set themselves. Nine headers name a different state than the register does: some flatter the proposal, and others lag behind its progress. Four more differ only in wording, where Approved normalizes to Accepted and On hold to Postponed, and the sheet counts those separately.